OpenTTD Source: Data Fields - Functions

OpenTTD Source 12.0-beta1

### - u -

- UndeliveredSupply() : LinkGraphJob::Node
- UnfocusFocusedWidget() : Window
- UnFoldAll() : SettingsContainer , SettingsPage
- Uninitialize() : AI , Game , Squirrel
- Unload() : VehicleCargoList
- UnloadCount() : VehicleCargoList
- UnlockVideoBuffer() : VideoDriver , VideoDriver_Cocoa , VideoDriver_SDL_Base , VideoDriver_Win32Base
- UnmappedChoiceList() : UnmappedChoiceList
- UnPack() : VehicleListIdentifier
- UnpackIfValid() : VehicleListIdentifier
- Unpause() : AI , Game , ScriptInstance
- Unqueue() : LinkGraphSchedule
- UnreserveSingleTrack() : CYapfReserveTrack< Types >
- UnsatisfiedDemand() : LinkGraphJob::Edge
- Unselect() : ClientNetworkContentSocketHandler
- UnselectAll() : ClientNetworkContentSocketHandler
- UnselectVehicle() : VehicleGroupWindow
- Unshuffle() : MusicSystem
- Update() : Backup< T > , CargoDataEntry , LinkGraph::Edge , OpenGLSprite
- UpdateAcceleration() : Train
- UpdateAfterLoad() : GroupStatistics
- UpdateAnnotation() : CapacityAnnotation , DistanceAnnotation
- UpdateAutoRefitState() : OrdersWindow
- UpdateAutoreplace() : GroupStatistics
- UpdateAutoResolution() : VideoDriver
- UpdateBoundingBoxCoordinates() : Vehicle
- UpdateButtons() : BuildObjectWindow
- UpdateCache() : Ship
- UpdateCaretPosition() : Textbuf
- UpdateCursorPosition() : CursorVars
- UpdateCursorPositionRelative() : CursorVars
- UpdateDeltaXY() : Aircraft , DisasterVehicle , EffectVehicle , RoadVehicle , Ship , Train , Vehicle
- UpdateEdge() : LinkGraph::Node
- UpdateFilterByTile() : BuildVehicleWindow
- UpdateFilterState() : NetworkContentListWindow , SettingEntry , SettingsContainer , SettingsPage
- UpdateInclination() : GroundVehicle< T, Type >
- UpdateListPos() : NetworkGameWindow
- UpdateListPositionOnKeyPress() : Scrollbar
- UpdateLocation() : LinkGraph::Node
- UpdateMarkedText() : Textbuf
- UpdateMode() : BuildTreesWindow
- UpdateNewGRFScanStatus() : ScanProgressWindow
- UpdateOptionWidgetStatus() : BuildRoadToolbarWindow
- UpdateOskState() : OskWindow
- UpdateOverlayCargoes() : LinkGraphLegendWindow
- UpdateOverlayCompanies() : LinkGraphLegendWindow
- UpdatePalette() : OpenGLBackend
- UpdatePosition() : DisasterVehicle , Scrollbar , TrackedViewportSign , Vehicle , ViewportSign
- UpdatePositionAndViewport() : Vehicle
- UpdatePrevNextDisabledState() : StoryBookWindow
- UpdateProfits() : GroupStatistics
- UpdateRealOrderIndex() : Vehicle
- UpdateRefittability() : GRFTempEngineData
- UpdateScale() : FrametimeGraphWindow
- UpdateScrollBars() : NewGRFWindow
- UpdateSelectionStates() : TimetableWindow
- UpdateSize() : Textbuf
- UpdateSpeed() : RoadVehicle , Train
- UpdateStatistics() : BaseGraphWindow
- UpdateStringIter() : Textbuf
- UpdateSupply() : LinkGraph::Node
- UpdateTimetableDuration() : OrderList
- UpdateTotalDuration() : OrderList
- UpdateViewport() : SpecializedVehicle< T, Type > , Vehicle
- UpdateViewportCoordinates() : NWidgetViewport
- UpdateVirtCoord() : BaseStation , Sign , Station , Town , Waypoint
- UpdateVisualEffect() : Vehicle
- UpdateWidgetSize() : AboutWindow , AIConfigWindow , AIDebugWindow , AIListWindow , AISettingsWindow , BaseGraphWindow , BootstrapAskForDownloadWindow , BootstrapErrorWindow , BuildAirportWindow , BuildBridgeWindow , BuildDocksDepotWindow , BuildIndustryWindow , BuildObjectWindow , BuildRailDepotWindow , BuildRailStationWindow , BuildRailWaypointWindow , BuildRoadDepotWindow , BuildRoadStationWindow , BuildSignalWindow , BuildTreesWindow , BuildVehicleWindow , BuyCompanyWindow , CheatWindow , CompanyFinancesWindow , CompanyInfrastructureWindow , CompanyLeagueWindow , CompanyStationsWindow , CompanyWindow , CreateScenarioWindow , CustomCurrencyWindow , DepotWindow , EnginePreviewWindow , ErrmsgWindow , FramerateWindow , FrametimeGraphWindow , GameOptionsWindow , GameSettingsWindow , GenerateLandscapeWindow , GenerateProgressWindow , GoalListWindow , GoalQuestionWindow , IndustryCargoesWindow , IndustryDirectoryWindow , IndustryViewWindow , LandInfoWindow , LinkGraphLegendWindow , MessageHistoryWindow , MusicTrackSelectionWindow , MusicWindow , NetworkAskRelayWindow , NetworkClientListWindow , NetworkCompanyPasswordWindow , NetworkContentListWindow , NetworkGameWindow , NetworkJoinStatusWindow , NetworkStartServerWindow , NewGRFInspectWindow , NewGRFParametersWindow , NewGRFWindow , NewsWindow , OrdersWindow , PaymentRatesGraphWindow , PerformanceRatingDetailWindow , QueryStringWindow , QueryWindow , RefitWindow , ReplaceVehicleWindow , SaveLoadWindow , SavePresetWindow , ScanProgressWindow , ScenarioEditorLandscapeGenerationWindow , ScenarioEditorToolbarWindow , SelectCompanyLiveryWindow , SelectCompanyManagerFaceWindow , SelectGameWindow , SelectStationWindow< T > , SetDateWindow , SignListWindow , SpriteAlignerWindow , StationViewWindow , StatusBarWindow , StoryBookWindow , SubsidyListWindow , TextfileWindow , TimetableWindow , TooltipsWindow , TownAuthorityWindow , TownDirectoryWindow , TownViewWindow , VehicleDetailsWindow , VehicleGroupWindow , VehicleListWindow , VehicleViewWindow , Window
- UpdateWidth() : Textbuf
- UpdateZPosition() : GroundVehicle< T, Type >
- UpdateZPositionAndInclination() : GroundVehicle< T, Type >
- UpgradeCurrent() : NewGRFWindow
- Usage() : LinkGraph::EdgeWrapper< Tedge >
- UseAsRandomAI() : AIInfo
- UsePaletteAnimation() : Blitter , Blitter_32bppAnim , Blitter_32bppBase , Blitter_40bppAnim , Blitter_8bppBase , Blitter_Null
- UserIsAllowedToChangeNewGRFs() : GUISettings
- UsesHardwareAcceleration() : DriverFactoryBase , FVideoDriver_CocoaOpenGL , FVideoDriver_SDL_OpenGL
- UsesOriginalEconomy() : IndustrySpec
- UseSystemCursor() : VideoDriver , VideoDriver_CocoaOpenGL , VideoDriver_SDL_OpenGL
- UseTextRefStack() : CommandCost